package com.adquick.service.athena

import io.smallrye.config.ConfigSourceContext
import io.smallrye.config.ConfigSourceFactory
import io.smallrye.config.PropertiesConfigSource
import org.eclipse.microprofile.config.spi.ConfigSource
import org.jboss.logging.Logger

const val CONSUMER_ENABLED = "athena.kafka.consumer.enabled"

class ConsumerConfig : ConfigSourceFactory {

    private val log: Logger = Logger.getLogger(ConsumerConfig::class.java)

    override fun getConfigSources(ctx: ConfigSourceContext): List<ConfigSource> {
      log.info("App running as a kafka consumer - adding bid and notifications topics.")
      return listOf()
    }
}
